﻿--[[
Name: Babble-Ore-2.2
Revision: $Rev: 80316 $
Authors(s): kagaro (sal.scotto@gmail.com)
Website: www.wowace.com
Documentation: http://www.wowace.com/wiki/Babble-Ore-2.2
SVN: http://svn.wowace.com/root/branch/Babble-2.2/Babble-Ore-2.2
Dependencies: AceLibrary, AceLocale-2.2
License: MIT
]]

local MAJOR_VERSION = "Babble-Ore-2.2"
local MINOR_VERSION = tonumber(string.sub("$Revision: 80316 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleOre = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

BabbleOre:RegisterTranslations("enUS", function() return {
-- Ore
	["Copper Ore"] = true,
	["Tin Ore"] = true,
	["Silver Ore"] = true,
	["Iron Ore"] = true,
	["Gold Ore"] = true,
	["Mithril Ore"] = true,
	["Dark Iron Ore"] = true,
	["Truesilver Ore"] = true,
	["Thorium Ore"] = true,
	["Elementium Ore"] = true,
	["Fel Iron Ore"] = true,
	["Adamantite Ore"] = true,
	["Eternium Ore"] = true,
	["Khorium Ore"] = true,
-- Types
	["Copper"] = true,
	["Tin"] = true,
	["Silver"] = true,
	["Iron"] = true,
	["Gold"] = true,
	["Mithril"] = true,
	["Dark Iron"] = true,
	["Truesilver"] = true,
	["Thorium"] = true,
	["Elementium"] = true,
	["Fel Iron"] = true,
	["Adamantite"] = true,
	["Eternium"] = true,
	["Khorium"] = true,
	["Incendicite"] = true,
	["Lesser Bloodstone"] = true,
	["Indurium"] = true,
	["Large Obsidian Shard"] = true,
	["Small Obsidian Shard"] = true,
	["Rich Thorium"] = true,
	["Rich Adamantite"] = true,
-- Quest Ore
	["Underlight Ore"] = true, -- copper and tin
	["Lead Ore"] = true,
	["Rethban Ore"] = true, --quest
	["Incendicite Ore"] = true,
	["Umbral Ore"] = true,
	["Elunite Ore"] = true,
	["Lesser Bloodstone Ore"] = true, --quest
	["Indurium Ore"] = true,
	["Nethercite Ore"] = true,
-- Nodes
	["Copper Vein"] = true,
	["Tin Vein"] = true,
	["Iron Deposit"] = true,
	["Silver Vein"] = true,
	["Gold Vein"] = true,
	["Mithril Deposit"] = true,
	["Ooze Covered Mithril Deposit"] = true,
	["Truesilver Deposit"] = true,
	["Ooze Covered Silver Vein"] = true,
	["Ooze Covered Gold Vein"] = true,
	["Ooze Covered Truesilver Deposit"] = true,
	["Ooze Covered Rich Thorium Vein"] = true,
	["Ooze Covered Thorium Vein"] = true,
	["Small Thorium Vein"] = true,
	["Rich Thorium Vein"] = true,
	["Hakkari Thorium Vein"] = true,
	["Dark Iron Deposit"] = true,
	["Lesser Bloodstone Deposit"] = true,
	["Incendicite Mineral Vein"] = true,
	["Indurium Mineral Vein"] = true,
	["Fel Iron Deposit"] = true,
	["Adamantite Deposit"] = true,
	["Rich Adamantite Deposit"] = true,
	["Khorium Vein"] = true,
	["Large Obsidian Chunk"] = true,
	["Small Obsidian Chunk"] = true,
	["Nethercite Deposit"] = true,
	
} end)


--校对 5m(冰焱妩媚)
BabbleOre:RegisterTranslations("zhCN", function() return {
-- Ore
	["Copper Ore"] = "铜矿石",
	["Tin Ore"] = "锡矿石",
	["Silver Ore"] = "银矿石",
	["Iron Ore"] = "铁矿石",
	["Gold Ore"] = "金矿石",
	["Mithril Ore"] = "秘银矿石",
	["Dark Iron Ore"] = "黑铁矿石",
	["Truesilver Ore"] = "真银矿石",
	["Thorium Ore"] = "瑟银矿石",
	["Elementium Ore"] = "源质矿石",
	["Fel Iron Ore"] = "魔铁矿石",
	["Adamantite Ore"] = "精金矿石",
	["Eternium Ore"] = "恒金矿石",
	["Khorium Ore"] = "氪金矿石",
-- Types
	["Copper"] = "铜",
	["Tin"] = "锡",
	["Silver"] = "银",
	["Iron"] = "铁",
	["Gold"] = "金",
	["Mithril"] = "秘银",
	["Dark Iron"] = "黑铁",
	["Truesilver"] = "真银",
	["Thorium"] = "瑟银",
	["Elementium"] = "源质",
	["Fel Iron"] = "魔铁",
	["Adamantite"] = "精金",
	["Eternium"] = "恒金",
	["Khorium"] = "氪金",
	["Incendicite"] = "火岩矿石",
	["Lesser Bloodstone"] = "次级血石矿",
	["Indurium"] = "精铁碎片",
	["Large Obsidian Shard"] = "大块黑曜石碎片",
	["Small Obsidian Shard"] = "小块黑曜石碎片",
	["Rich Thorium"] = "富瑟银矿",
	["Rich Adamantite"] = "富精金矿",
-- Quest Ore
	["Underlight Ore"] = "幽光矿石", -- copper and tin
	["Lead Ore"] = "石墨",
	["Rethban Ore"] = "瑞斯班矿石", --quest
	["Incendicite Ore"] = "火岩矿石",
	["Umbral Ore"] = "暗影矿石",
	["Elunite Ore"] = "月神矿石",
	["Lesser Bloodstone Ore"] = "次级血石矿", --quest
	["Indurium Ore"] = "精铁矿石",
	["Nethercite Ore"] = "虚空矿石",
-- Nodes
	["Copper Vein"] = "铜矿",
	["Tin Vein"] = "锡矿",
	["Iron Deposit"] = "铁矿石",
	["Silver Vein"] = "银矿",
	["Gold Vein"] = "金矿石",
	["Mithril Deposit"] = "秘银矿脉",
	["Ooze Covered Mithril Deposit"] = "软泥覆盖的秘银矿脉",
	["Truesilver Deposit"] = "真银矿石",
	["Ooze Covered Silver Vein"] = "软泥覆盖的银矿脉",
	["Ooze Covered Gold Vein"] = "软泥覆盖的金矿脉",
	["Ooze Covered Truesilver Deposit"] = "软泥覆盖的真银矿脉",
	["Ooze Covered Rich Thorium Vein"] = "软泥覆盖的富瑟银矿脉",
	["Ooze Covered Thorium Vein"] = "软泥覆盖的瑟银矿脉",
	["Small Thorium Vein"] = "瑟银矿脉",
	["Rich Thorium Vein"] = "富瑟银矿",
	["Hakkari Thorium Vein"] = "哈卡莱瑟银矿脉",
	["Dark Iron Deposit"] = "黑铁矿脉",
	["Lesser Bloodstone Deposit"] = "次级血石矿脉",
	["Incendicite Mineral Vein"] = "火岩矿脉",
	["Indurium Mineral Vein"] = "精铁矿脉",
	["Fel Iron Deposit"] = "魔铁矿脉",
	["Adamantite Deposit"] = "精金矿脉",
	["Rich Adamantite Deposit"] = "富精金矿脉",
	["Khorium Vein"] = "氪金矿脉",
	["Large Obsidian Chunk"] = "大型黑曜石碎块",
	["Small Obsidian Chunk"] = "小型黑曜石碎块",
	["Nethercite Deposit"] = "虚空矿脉",
	
} end)

BabbleOre:RegisterTranslations("zhTW", function () return {
-- Ore
	["Copper Ore"] = "銅礦石",
	["Tin Ore"] = "錫礦石",
	["Silver Ore"] = "銀礦石",
	["Iron Ore"] = "鐵礦石",
	["Gold Ore"] = "金礦石",
	["Mithril Ore"] = "秘銀礦石",
	["Dark Iron Ore"] = "黑鐵礦石",
	["Truesilver Ore"] = "真銀礦石",
	["Thorium Ore"] = "瑟銀礦石",
	["Elementium Ore"] = "源質礦石",
	["Fel Iron Ore"] = "魔鐵礦石",
	["Adamantite Ore"] = "堅鋼礦石",
	["Eternium Ore"] = "恆金礦石",
	["Khorium Ore"] = "克銀礦石",
-- Types
	["Copper"] = "銅",
	["Tin"] = "錫",
	["Silver"] = "銀",
	["Iron"] = "鐵",
	["Gold"] = "金",
	["Mithril"] = "秘銀",
	["Dark Iron"] = "黑鐵",
	["Truesilver"] = "真銀",
	["Thorium"] = "瑟銀",
	["Elementium"] = "源質",
	["Fel Iron"] = "魔鐵",
	["Adamantite"] = "堅鋼",
	["Eternium"] = "恆金",
	["Khorium"] = "克銀",
	["Incendicite"] = "火岩",
	["Lesser Bloodstone"] = "次級血石",
	["Indurium"] = "精鐵碎片",
	["Large Obsidian Shard"] = "大塊黑曜石碎片",
	["Small Obsidian Shard"] = "小塊黑曜石碎片",
	["Rich Thorium"] = "富瑟銀",
	["Rich Adamantite"] = "富堅鋼",
-- Quest Ore
	["Underlight Ore"] = "光底礦物", -- copper and tin
	["Lead Ore"] = "石墨",
	["Rethban Ore"] = "瑞斯班礦石", --quest
	["Incendicite Ore"] = "火岩礦石",
	["Umbral Ore"] = "暗影礦石",
	["Elunite Ore"] = "月神礦石",
	["Lesser Bloodstone Ore"] = "次級血石礦", --quest
	["Indurium Ore"] = "精鐵礦石",
	["Nethercite Ore"] = "虛空傳喚礦石",
-- Nodes
	["Copper Vein"] = "銅礦",
	["Tin Vein"] = "錫礦",
	["Iron Deposit"] = "鐵礦石",
	["Silver Vein"] = "銀礦",
	["Gold Vein"] = "金礦石",
	["Mithril Deposit"] = "秘銀礦脈",
	["Ooze Covered Mithril Deposit"] = "軟泥覆蓋的秘銀礦脈",
	["Truesilver Deposit"] = "真銀礦石",
	["Ooze Covered Silver Vein"] = "軟泥覆蓋的銀礦脈",
	["Ooze Covered Gold Vein"] = "軟泥覆蓋的金礦脈",
	["Ooze Covered Truesilver Deposit"] = "軟泥覆蓋的真銀礦脈",
	["Ooze Covered Rich Thorium Vein"] = "軟泥覆蓋的富瑟銀礦脈",
	["Ooze Covered Thorium Vein"] = "軟泥覆蓋的瑟銀礦脈",
	["Small Thorium Vein"] = "瑟銀礦脈",
	["Rich Thorium Vein"] = "富瑟銀礦",
	["Hakkari Thorium Vein"] = "哈卡萊瑟銀礦脈",
	["Dark Iron Deposit"] = "黑鐵礦脈",
	["Lesser Bloodstone Deposit"] = "次級血石礦脈",
	["Incendicite Mineral Vein"] = "火岩礦脈",
	["Indurium Mineral Vein"] = "精鐵礦脈",
	["Fel Iron Deposit"] = "魔鐵礦床",
	["Adamantite Deposit"] = "堅鋼礦床",
	["Rich Adamantite Deposit"] = "豐沃的堅鋼礦床",
	["Khorium Vein"] = "克銀礦脈",
	["Large Obsidian Chunk"] = "大型黑曜石礦",
	["Small Obsidian Chunk"] = "小型黑曜石礦",
	["Nethercite Deposit"] = "虛空傳喚礦床",

} end)



BabbleOre:Debug()
BabbleOre:SetStrictness(true)

AceLibrary:Register(BabbleOre, MAJOR_VERSION, MINOR_VERSION)
BabbleOre = nil
